Skip to main content
GET
Get unlocks timeseries

Authorizations

X-Blockworks-API-Key
string
header
required

Path Parameters

assetId
string
required

Asset to look up. Accepts a slug (solana) or the asset UUID.

Example:

"solana"

Query Parameters

interval
enum<string>
required

Bucket size the unlock amounts are aggregated to.

Available options:
DAILY,
WEEKLY,
MONTHLY,
QUARTERLY,
YEARLY
Example:

"MONTHLY"

startTime
string<date-time>

RFC 3339 timestamp for the start of the window.

Example:

"2025-01-01T00:00:00Z"

endTime
string<date-time>

RFC 3339 timestamp for the end of the window. Future dates are valid: the schedule is projected forward.

Example:

"2025-04-01T00:00:00Z"

Response

Interval-bucketed unlock flow for the asset.

data
object
required

Interval-bucketed unlock flow for one asset, in total and per recipient.

error
string | null

null on success.